<?php
require_once(__DIR__ . '/../Class/class.user.php');

$userClass = new Class_user($pdo);
if (isset($_POST['login']) && isset($_POST['password'])) {
	//Récupère les données de l'utilisateur
	$data = $userClass->connectUser($_POST['login'], $_POST['password']);

	//Si l'utilisateur existe ou pas
	if (count($data) === 0) {
		header('location: index.php?direction=connexion&msg=errorco');
	} else {
		$_SESSION['uId'] = $data['uId'];
		$_SESSION['uNom'] = $data['uNom'];
		$_SESSION['uPrenom'] = $data['uPrenom'];
		$_SESSION['uAdresse'] = $data['uAdresse'];
		$_SESSION['uCp'] = $data['uCp'];
		$_SESSION['uVille'] = $data['uVille'];
		$_SESSION['uSecteur'] = $data['uSecteur'];
		$_SESSION['uLabo'] = $data['uLabo'];
		$_SESSION['uType'] = $data['pLibelle'];

		header('location: index.php?direction=home');
	}
} else {
	include('vues/v_connexion.php');
}
die;
/*



header('location: index.php?direction=home');

if (!isset($_REQUEST['action'])) {
	$_REQUEST['action'] = 'demandeConnexion';
}
$action = $_REQUEST['action'];
switch ($action) {
	case 'demandeConnexion': {
			session_unset();
			$param = $pdo->getParametre("adresse");
			$_SESSION['adr1'] = $param[1]['pLibelle']; //rue
			$_SESSION['adr2'] = $param[2]['pLibelle'] . ' ' . $param[3]['pLibelle']; //codePostal et ville
			include("vues/v_entete.php");
			include("vues/v_connexion.php");
			break;
		}
	case 'valideConnexion': {
			$login = $_REQUEST['login'];
			$mdp = $_REQUEST['mdp'];
			$utilisateur = $pdo->getInfosUtilisateur($login, $mdp);
			if (!is_array($utilisateur)) {
				include("vues/v_entete.php");
				ajouterErreur("Login ou mot de passe incorrect");
				include("vues/v_erreurs.php");
				include("vues/v_connexion.php");
			} else {
				$id = $utilisateur['id'];
				$nom = $utilisateur['nom'];
				$prenom = $utilisateur['prenom'];
				$statut = $utilisateur['statut'];
				connecter($id, $nom, $prenom, $statut);
				if (date('m') - 1 > 0) {
					$leMoisPrecedent = date('Y') * 100 + date('m') - 1;
				} else {
					$leMoisPrecedent = (date('Y') - 1) * 100 + 12;
				}
				//penser ici à faire la cloture du mois précédent !
				if ($statut == 'V')		// si le remboursement pour le mois courant n'existe pas (=0) il faut le créer{
					$leMois = date('Ym');
					$leRemboursement = $pdo->existeRemboursement($id, $leMois);
					if ($leRemboursement == 0) {
						$pdo->creeNouveauRemboursement($id, $leMois);
					}
				}
				header('location: index.php?uc=etatFrais&action=voir');
			}
			break;
		}
	default: {
			include("vues/v_entete.php");
			include("vues/v_connexion.php");
			break;
		}
}
?>
*/
